package parser

import "github.com/mmakaay/toml/parsekit"

// Values must be of the following types: String, Integer, Float, Boolean,
// Datetime, Array, or Inline Table. Unspecified values are invalid.
func stateValue(p *parsekit.P) parsekit.StateFn {
	p.SkipConsecutive(whitespace)
	if p.Upcoming(quoteChars) {
		return stateStringValue
	}
	return p.UnexpectedInput("a value")
}
